webdevqa.jp.net

CentosにDelugeをインストールするにはどうすればいいですか?

Centos 5(x86)でのDelugeトレントのインストールと実行に問題があります。 http://dag.wieers.com/rpm/packages/deluge/ this:_http://dag.wieers.com/rpm/packages/deluge/deluge-0.5.8.6から取得します-1.el5.rf.i386.rpm

インストール後、大洪水を実行すると、次の問題が発生します。

    Traceback (most recent call last):
  File "/usr/bin/deluge", line 43, in ?
    import deluge
  File "/usr/lib/python2.4/site-packages/deluge/__init__.py", line 36, in ?
    import gtk.glade
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 76, in ?
    _init()
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 64, in _init
    _gtk.init_check()
RuntimeError: could not open display

私やユーザーのルートはありません。同じこと。 Pythonバージョンは2.4.3です。これはサーバーであり、Xウィンドウはインストールされていません。

手伝ってくれてありがとう。

3
NARKOZ

PythonとDelugeの両方を更新することをお勧めします。Delugeはバージョン1.2.0で、0.5.8.6よりもはるかに進んでいます。Deluge(最新)を Python2.6。 4 スムーズに。

お使いのバージョンがPython 2.4を探しているように見えるだけでなく、ディスプレイを開きたいと考えています。Davidが概説したように、コンソールモードに適切なコマンドライン引数を使用していることを確認してください。最初にコンソール経由で接続する前にデーモンを起動します。DelugeFAQ on コンソールとデーモン を参照してください。

0
John T

Pythonをアップグレードします。バージョン2.4を探しています。

ちなみに、Xウィンドウがない場合は、CLIビットトレントクライアントであるrtorrentを試してみることをお勧めします。

1
Iain

次のようにDelugeを起動しようとしたと仮定します。

deluge

コマンドラインベースのインターフェイスの場合、これを行うことができます。

deluge --ui null

または:

deluge --ui console

または、Webベースのインターフェイスの場合:

deluge --ui web

詳細については、トピックに関するDelugeの [〜#〜] faq [〜#〜] を参照してください。

0